/*
 * Copyright 2023 NXP
 * All rights reserved.
 *
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _CLOCK_CONFIG_H_
#define _CLOCK_CONFIG_H_

#include "fsl_common.h"

/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define BOARD_XTAL0_CLK_HZ                         12000000U  /*!< Board xtal0 frequency in Hz */
#define BOARD_XTAL32K_CLK_HZ                          32768U  /*!< Board xtal32K frequency in Hz */

/*******************************************************************************
 ************************ BOARD_InitBootClocks function ************************
 ******************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes default configuration of clocks.
 *
 */
void BOARD_InitBootClocks(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockFRO18M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockFRO18M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKFRO18M_CORE_CLOCK           18000000U  /*!< Core clock frequency: 18000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKFRO18M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKFRO18M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKFRO18M_FROHF_CLOCK             36000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKFRO18M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKFRO18M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO18M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO18M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO18M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO18M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKFRO18M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKFRO18M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKFRO18M_SYSPLL_CLOCK            0UL            /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKFRO18M_SYSTEM_CLOCK            18000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKFRO18M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKFRO18M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKFRO18M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKFRO18M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKFRO18M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKFRO18M_WKT_CLOCK               18000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockFRO18M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockFRO18M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockFRO24M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockFRO24M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKFRO24M_CORE_CLOCK           24000000U  /*!< Core clock frequency: 24000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKFRO24M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKFRO24M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKFRO24M_FROHF_CLOCK             48000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKFRO24M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKFRO24M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO24M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO24M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO24M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO24M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKFRO24M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKFRO24M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKFRO24M_SYSPLL_CLOCK            0UL            /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKFRO24M_SYSTEM_CLOCK            24000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKFRO24M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKFRO24M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKFRO24M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKFRO24M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKFRO24M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKFRO24M_WKT_CLOCK               24000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockFRO24M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockFRO24M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockFRO30M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockFRO30M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKFRO30M_CORE_CLOCK           30000000U  /*!< Core clock frequency: 30000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKFRO30M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKFRO30M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKFRO30M_FROHF_CLOCK             60000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKFRO30M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKFRO30M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO30M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO30M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO30M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO30M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKFRO30M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKFRO30M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKFRO30M_SYSPLL_CLOCK            0UL            /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKFRO30M_SYSTEM_CLOCK            30000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKFRO30M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKFRO30M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKFRO30M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKFRO30M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKFRO30M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKFRO30M_WKT_CLOCK               30000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockFRO30M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockFRO30M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockFRO36M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockFRO36M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKFRO36M_CORE_CLOCK           36000000U  /*!< Core clock frequency: 36000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKFRO36M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKFRO36M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKFRO36M_FROHF_CLOCK             36000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKFRO36M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKFRO36M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO36M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO36M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO36M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO36M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKFRO36M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKFRO36M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKFRO36M_SYSPLL_CLOCK            0UL            /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKFRO36M_SYSTEM_CLOCK            36000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKFRO36M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKFRO36M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKFRO36M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKFRO36M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKFRO36M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKFRO36M_WKT_CLOCK               36000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockFRO36M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockFRO36M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockFRO48M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockFRO48M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKFRO48M_CORE_CLOCK           48000000U  /*!< Core clock frequency: 48000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKFRO48M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKFRO48M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKFRO48M_FROHF_CLOCK             48000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKFRO48M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKFRO48M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO48M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO48M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO48M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO48M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKFRO48M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKFRO48M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKFRO48M_SYSPLL_CLOCK            0UL            /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKFRO48M_SYSTEM_CLOCK            48000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKFRO48M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKFRO48M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKFRO48M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKFRO48M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKFRO48M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKFRO48M_WKT_CLOCK               48000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockFRO48M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockFRO48M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockFRO60M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockFRO60M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKFRO60M_CORE_CLOCK           60000000U  /*!< Core clock frequency: 60000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKFRO60M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKFRO60M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKFRO60M_FROHF_CLOCK             60000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKFRO60M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKFRO60M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO60M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO60M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKFRO60M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKFRO60M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKFRO60M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKFRO60M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKFRO60M_SYSPLL_CLOCK            0UL            /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKFRO60M_SYSTEM_CLOCK            60000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKFRO60M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKFRO60M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKFRO60M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKFRO60M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKFRO60M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKFRO60M_WKT_CLOCK               60000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockFRO60M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockFRO60M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

/*******************************************************************************
 ******************** Configuration BOARD_BootClockPll48M **********************
 ******************************************************************************/
/*******************************************************************************
 * Definitions for BOARD_BootClockPll48M configuration
 ******************************************************************************/
#define BOARD_BOOTCLOCKPLL48M_CORE_CLOCK           48000000U  /*!< Core clock frequency: 48000000Hz */


/* Clock outputs (values are in Hz): */
#define BOARD_BOOTCLOCKPLL48M_ADC_CLOCK               0UL            /* Clock consumers of ADC_clock output : ADC0 */
#define BOARD_BOOTCLOCKPLL48M_CLKOUT_CLOCK            0UL            /* Clock consumers of CLKOUT_clock output : N/A */
#define BOARD_BOOTCLOCKPLL48M_FROHF_CLOCK             48000000UL     /* Clock consumers of FROHF_clock output : N/A */
#define BOARD_BOOTCLOCKPLL48M_I2C0_CLOCK              0UL            /* Clock consumers of I2C0_clock output : I2C0 */
#define BOARD_BOOTCLOCKPLL48M_I3C_FCLK_CLOCK          0UL            /* Clock consumers of I3C_FCLK_clock output : I3C0 */
#define BOARD_BOOTCLOCKPLL48M_I3C_SLOW_TC_CLOCK       0UL            /* Clock consumers of I3C_SLOW_TC_clock output : I3C0 */
#define BOARD_BOOTCLOCKPLL48M_I3C_SLOW_CLOCK          0UL            /* Clock consumers of I3C_SLOW_clock output : I3C0 */
#define BOARD_BOOTCLOCKPLL48M_IOCON0_CLOCK            0UL            /* Clock consumers of IOCON0_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_IOCON1_CLOCK            0UL            /* Clock consumers of IOCON1_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_IOCON2_CLOCK            0UL            /* Clock consumers of IOCON2_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_IOCON3_CLOCK            0UL            /* Clock consumers of IOCON3_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_IOCON4_CLOCK            0UL            /* Clock consumers of IOCON4_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_IOCON5_CLOCK            0UL            /* Clock consumers of IOCON5_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_IOCON6_CLOCK            0UL            /* Clock consumers of IOCON6_clock output : IOCON */
#define BOARD_BOOTCLOCKPLL48M_LOWPOWER_CLOCK          0UL            /* Clock consumers of LowPower_clock output : WWDT */
#define BOARD_BOOTCLOCKPLL48M_SPI0_CLOCK              0UL            /* Clock consumers of SPI0_clock output : SPI0 */
#define BOARD_BOOTCLOCKPLL48M_SPI1_CLOCK              0UL            /* Clock consumers of SPI1_clock output : SPI1 */
#define BOARD_BOOTCLOCKPLL48M_SYSPLL_CLOCK            48000000UL     /* Clock consumers of SYSPLL_clock output : N/A */
#define BOARD_BOOTCLOCKPLL48M_SYSTEM_CLOCK            48000000UL     /* Clock consumers of System_clock output : ACOMP, ADC0, CRC, DMA0, FTM0, FTM1, GPIO, I2C0, I3C0, INPUTMUX, IOCON, MRT0, PINT, SPI0, SPI1, SWM0, USART0, USART1, USART2, WKT, WWDT */
#define BOARD_BOOTCLOCKPLL48M_UART0_CLOCK             0UL            /* Clock consumers of UART0_clock output : USART0 */
#define BOARD_BOOTCLOCKPLL48M_UART1_CLOCK             0UL            /* Clock consumers of UART1_clock output : USART1 */
#define BOARD_BOOTCLOCKPLL48M_UART2_CLOCK             0UL            /* Clock consumers of UART2_clock output : USART2 */
#define BOARD_BOOTCLOCKPLL48M_ULPOSC_CLOCK            0UL            /* Clock consumers of ULPOSC_clock output : WKT */
#define BOARD_BOOTCLOCKPLL48M_WKTCLKIN_CLOCK          0UL            /* Clock consumers of WKTCLKIN_clock output : WKT */
#define BOARD_BOOTCLOCKPLL48M_WKT_CLOCK               24000000UL     /* Clock consumers of WKT_clock output : WKT */

/*******************************************************************************
 * API for BOARD_BootClockPll48M configuration
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief This function executes configuration of clocks.
 *
 */
void BOARD_BootClockPll48M(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

#endif /* _CLOCK_CONFIG_H_ */

